# Generated by Django 3.2.14 on 2023-01-17 06:11

import custom_storages
from django.db import migrations, models
import django.db.models.deletion
import document.models


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        ('document', '0098_connectwiseserviceticketparsefailed_is_ignored'),
    ]

    operations = [
        migrations.CreateModel(
            name='SOWVendorOnboardingSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('territories', models.JSONField(default=list)),
                ('customer_type', models.JSONField(default=dict)),
                ('vendor_onboarding_email_alias', models.EmailField(max_length=254)),
                ('vendor_onboarding_email_subject', models.CharField(max_length=200)),
                ('vendor_onboarding_email_body', models.TextField()),
                ('vendor_create_status', models.JSONField(default=dict)),
                ('vendor_list_statuses', models.JSONField(default=list)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='sow_vendor_onboarding_setting', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SOWVendorOnboardingAttachments',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('attachment', models.FileField(blank=True, null=True, storage=custom_storages.OverwriteStorage(), upload_to=document.models.get_vendor_onboarding_attachments_upload_url)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.provider')),
                ('sow_vendor_onboarding_setting', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='onboarding_attachments', to='document.sowvendoronboardingsetting')),
            ],
        ),
    ]
